# Uses of Class
jdk.jshell.spi.ExecutionControl.NotImplementedException

Packages that use ExecutionControl.NotImplementedException
Package
Description
jdk.jshell.execution
Provides implementation support for building JShell execution engines.
jdk.jshell.spi
Defines the Service Provider Interface for pluggable JShell execution engines.

## Uses of ExecutionControl.NotImplementedException in jdk.jshell.execution

Methods in jdk.jshell.execution that throw ExecutionControl.NotImplementedException
Modifier and Type
Method
Description
`protected void`
DirectExecutionControl.`classesRedefined(ExecutionControl.ClassBytecodes[] cbcs)`
Notify that classes have been redefined.
`void`
DirectExecutionControl.`load(ExecutionControl.ClassBytecodes[] cbcs)`
`void`
LoaderDelegate.`load(ExecutionControl.ClassBytecodes[] cbcs)`
Attempts to load new classes.
`void`
StreamingExecutionControl.`load(ExecutionControl.ClassBytecodes[] cbcs)`
`void`
DirectExecutionControl.`redefine(ExecutionControl.ClassBytecodes[] cbcs)`
`void`
RemoteExecutionControl.`redefine(ExecutionControl.ClassBytecodes[] cbcs)`
Redefine processing on the remote end is only to register the redefined classes
`void`
StreamingExecutionControl.`redefine(ExecutionControl.ClassBytecodes[] cbcs)`

## Uses of ExecutionControl.NotImplementedException in jdk.jshell.spi

Methods in jdk.jshell.spi that throw ExecutionControl.NotImplementedException
Modifier and Type
Method
Description
`void`
ExecutionControl.`load(ExecutionControl.ClassBytecodes[] cbcs)`
Attempts to load new classes.
`void`
ExecutionControl.`redefine(ExecutionControl.ClassBytecodes[] cbcs)`
Attempts to redefine previously loaded classes.